#!/bin/sh

BACKUP_DIR=/usr/local/backup
ASTAH_SHARE=/usr/local/astah-share-2_6
DATA_DIR=$ASTAH_SHARE/data

H2_PATH=$ASTAH_SHARE/server/webapps/astahshare/WEB-INF/lib/h2.jar
DB_USER=sa

DB_URL=jdbc:h2:tcp://localhost:9092/$DATA_DIR/db/jude-share_h2

dir=`date +%Y_%m_%d_%H_%M`
BACKUP_DIR=$BACKUP_DIR/$dir
mkdir $BACKUP_DIR
echo BACKUP_DIR IS $BACKUP_DIR

echo backup database is complete
java -cp $H2_PATH org.h2.tools.Script -url $DB_URL -user $DB_USER -script $BACKUP_DIR/backup.zip -options compression zip

echo copy start 
cp -r $DATA_DIR/projects $BACKUP_DIR/projects
echo copy is successful 

echo backup is completed
